メインコンテンツまでスキップ

Delete API Key (V2)

Permanently deletes a customized ACL API key and revokes its role bindings.

DELETE/v2/api-keys/{apiKeyId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
apiKeyIdstringpath必要

公開 API キー ID。

値の例: key-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export apiKeyId="key-xxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/api-keys/${apiKeyId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功時のレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
apiKeyIdstring必要

公開 API キー ID。

namestring必要

API キーの表示名。

descriptionstring

API キーの説明。

creatorNamestring必要

作成者の解決済み表示名。

createdBystring必要

作成者のメールアドレスまたは作成者の API キー ID。

orgRolestring必要

API キーに割り当てられた組織ロール: Owner、Member、または Billing-Admin。

projectsarray必要

API キーに付与されたプロジェクトレベルのアクセス権。

[]projectsobject必要
projectIdstring必要

プロジェクト ID。

projectNamestring

プロジェクトの表示名。

rolestring必要

プロジェクトロール: Admin、Read-Write、または Read-Only。

allClusterboolean

アクセスがプロジェクト内のすべてのクラスターを対象とするかどうか。

clustersarray

API キーがアクセスできるクラスター。

[]clustersobject
clusterIdstring必要

クラスター ID。

clusterNamestring必要

クラスターの表示名。

allVolumeboolean

アクセスがプロジェクト内のすべてのボリュームを対象とするかどうか。

volumesarray

API キーがアクセスできるボリューム。

[]volumesobject
volumeIdstring必要

ボリューム ID。

volumeNamestring必要

ボリュームの表示名。

createTimestring<date-time>必要

UTC ISO 8601 形式の作成日時。

失敗時のレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline Production",
"description": "Production ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"createTime": "2026-07-22T02:30:00Z",
"orgRole": "Member",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"projectName": "Project xxxx",
"role": "Data Reader",
"allCluster": true,
"clusters": [],
"allVolume": true,
"volumes": []
}
]
}
}
Ctrl I